Bug 1950498 - Some on-prem namespaces missing from must-gather
Summary: Some on-prem namespaces missing from must-gather
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Ben Nemec
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1948022
Blocks: 1955715
TreeView+ depends on / blocked
 
Reported: 2021-04-16 18:26 UTC by OpenShift BugZilla Robot
Modified: 2021-05-19 15:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing namespaces from machine-config-operator relatedObjects. Consequence: Logs for some on-prem services were not collected in must-gather. Fix: Added necessary namespaces to machine-config-operator relatedObjects Result: Logs for on-prem services are collected in must-gather.
Clone Of:
Environment:
Last Closed: 2021-05-19 15:16:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2533 0 None open [release-4.7] Bug 1950498: Add on-prem namespaces to relatedObjects 2021-04-27 16:49:40 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:16:36 UTC

Comment 3 Michael Nguyen 2021-05-04 13:36:26 UTC
Verified on 4.7.0-0.nightly-2021-05-01-081439

$ ls must-gather.local.1397607669642469003/namespaces/ | grep -e ovirt -e openstack -e kni -e vsphere
openshift-kni-infra
openshift-openstack-infra
openshift-ovirt-infra
openshift-vsphere-infra
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-05-01-081439   True        False         15m     Cluster version is 4.7.0-0.nightly-2021-05-01-081439

Comment 4 Siddharth Sharma 2021-05-10 17:58:35 UTC
This bug will be shipped as part of next z-stream release 4.7.11 on May 19th, as 4.7.10 was dropped due to a blocker https://bugzilla.redhat.com/show_bug.cgi?id=1958518.

Comment 8 errata-xmlrpc 2021-05-19 15:16:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.